Name:           perl-GD-Barcode
Version:        2.00
Release:        1
Summary:        Create barcode image with GD
License:        GPL-1.0-or-later or Artistic-1.0-Perl
URL:            https://metacpan.org/release/GD-Barcode
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MICHIELB/GD-Barcode-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-generators perl(Exporter) perl(ExtUtils::MakeMaker) perl(GD) perl(Test2::Require::Module)
Requires:       perl(GD)

%description
GD::Barcode is a subclass of GD and allows you to create barcode image with GD.

%package_help

%package tests
Summary:        Test for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       perl(Test2::Require::Module)

%description tests
Tests from %{name}. Execute them with "%{_libexecdir}/%{name}/test".

%prep
%autosetup -n GD-Barcode-%{version}
find sample/ -type f -exec sed -i 's/\r//' {} +

%build
perl Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*
# install tests
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
#!/bin/sh
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
make test

%files
%defattr(-,root,root)
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%doc Changes README
%doc sample/
%{_mandir}/man3/*

%files tests
%{_libexecdir}/%{name}

%changelog
* Fri Jan 19 2024 wangjiang <wangjiang37@h-partners.com> - 2.00-1
- upgrade version to 2.00

* Wed Nov 02 2022 wangjiang <wangjiang37@h-partners.com> - 1.15-31
- modify the license to make it specification

* Mon Feb 17 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.15-30
- Package init
